Name: kgoodstuff
Summary: A button-bar like FvwmButtons or TkGoodStuff
Version: 2.0.0pre1
Release: 4
Epoch: 2
Source: ftp://ftp.sad.it/pub/kde/local/%{name}-%{version}.tar.gz
Patch: kgoodstuff-2.0.0pre1-broken.patch
License: GPL
URL: http://www.sad.it/~jug/kgoodstuff/
Group: User Interface/Desktops
Buildroot: %{_tmppath}/%{name}-buildroot
BuildPrereq: kdelibs-devel
Requires: kdelibs
Prefix: %{_prefix}
Excludearch: sparc

%description
Kgoodstuff for the K Desktop Environment is a utility panel or button bar
that can easily be configured using a GUI preferences manager.


%prep
%setup -q
%patch -p1 -b .broken

%build
unset QTDIR || : ; source /etc/profile.d/qt.sh
export KDEDIR=%{prefix}
cp -f /usr/share/libtool/config.* .
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$KDEDIR

make

%install
rm -rf $RPM_BUILD_ROOT

make install-strip prefix=$RPM_BUILD_ROOT%{prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/bin/*
%{prefix}/share/applnk/Applications/*
%{prefix}/share/doc/HTML/en/kgoodstuff
%{prefix}/share/icons/locolor/*/apps/*

%changelog
* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt against newer libmng

* Thu Feb 22 2001 Than Ngo <than@redhat.com>
- fix prefix problem by make install

* Fri Jan 12 2001 Than Ngo <than@redhat.com>
- fixed to build on ia64

* Sun Nov 20 2000 Than Ngo <than@redhat.com>
- update to 2.0.0pre1
- support KDE2
- fix up broken code to build with g++-2.96

* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- rebuilt against the kdelibs-1.1.2

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against with compat-libstdc++

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with compat-egcs-c++ 1.1.2
- clean up specfile

* Sun Jul 02 2000 Karsten Hopp <karsten@redhat.de>
- changed prefix
- added bindir

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- initial RPM for PowerTools 7.0
- fix to built with new gcc
